package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 检测指标(1.规范性,2.一致性,3.正确性,4.及时性)枚举类
*
* @author zxfei
*/
public enum IndicatorsEnum {
    规范性("1", "规范性"),
    一致性("2", "一致性"),
    正确性("3", "正确性"),
    及时性("4", "及时性");
    private String value;
    private String desc;

    IndicatorsEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static IndicatorsEnum getByValue(String value) {
        for (IndicatorsEnum indicatorsEnum : IndicatorsEnum.values()) {
            if (indicatorsEnum.getValue() == value) {
                return indicatorsEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (IndicatorsEnum item : IndicatorsEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}